*{
    padding: 0;
    margin: 0;
    font-family: system-ui;
    box-sizing: border-box;
    user-select: none;
}


html,body{
    overflow: hidden;
    overscroll-behavior-y: contain;
    touch-action: none;
      
}

.over{
    /* overflow-y: visible;
    overflow-x: auto; */
    /* max-width: 300px; */
    position: fixed;
    transform: scale(1) translate(-50%,-50%);
    left: 50%;
    bottom: 0px;
}


/* .tools-home{
    min-width: 340px;
} */


::selection{
    background-color: #76c9f0;
    color: #fff;
}

.con{
    width: 100%;
    height: 100%;
    position: relative;
}

.papers{
    width: 100%;
    height: 100%;
}

.paper{
    width: 100%;
    height: 100vh;
}

.tools-home{
    display: flex;
    gap: 10px;
   

}
.tools-group{
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    border-radius: 10px;
    display: flex;
    gap: 5px;
}

.tool-review{
    position: relative;
    display: flex;
}

.tool-review .tool_re{
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    border-radius: 10px;
}

.btn-tool-redo{
    position: absolute;
    top: 60px;
    left: 0;
    opacity: 0;
    transition: .2s;
}

/* .tool-review:hover .btn-tool-redo{
    top: -70px;
    opacity: 1;
    
} */

.tool_re{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 50px;
    font-size: 18px;
    cursor: pointer;
    background-color: #fff;
}
.tool{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 50px;
    position: relative;
    font-size: 18px;
    cursor: pointer;
}

.tool:hover .name-tool{
    opacity: 1;
    transform: translate(-50%,-50%);
}
.tool_re:hover .name-tool{
    opacity: 1;
    transform: translate(-50%,-50%);
}

.name-tool{
    opacity: 0;
    transition: .2s;
    padding: 2px 10px;
    padding-bottom: 4px;
    position: absolute;
    transform: translate(-50%,-10%);
    top: -10px;
    left: 50%;
    width: max-content;
    background-color: #69aee7;
    color: #fff;
    border-radius: 5px;
    font-size: 13px;
}

.name-tool::after{
    content: '';
    position: absolute;
    transform: translate(-50%,-50%);
    top: 130%;
    left: 50%;
    border-color: #69aee7 transparent transparent transparent ;
    border-style: solid;
    border-width: 10px;
}

.tool.tool-selected{
    color: #69aee7;
    background-color: #3e98bb18;
    border: 1px dashed #3e98bb5b;
    border-radius: 10px;
}

.fa-heart{
    color: #f00;
}

.fa-envelope-open-text{
    color: #f1b100;
}
.fa-shapes{
    color: #50da01;
}
.fa-circle-half-stroke{
    color: #7e7e7e;
}
.fa-t{
    color: #06cbe6;
}
.fa-location-arrow{
    color: #2997e0;
}


.pogop-colors-pen{
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: absolute;
    transform: translate(-50% ,-50%);
    bottom: 0%;
    left: 100%;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    padding: 10px;
    width: 250px;
    border-radius: 10px;
    z-index: 300;

}

.line_1{
    border: none;
    width: 100%;
    height: 1px;
    background: linear-gradient(to left , transparent , #00000079 , transparent);
}


.colors {
    display: flex;
    gap: 10px; 
    flex-wrap: wrap;
}
.colors span{
    display: flex;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    color: coral;
    border: 1px solid transparent;
    position: relative;
    transition: .2s;
}

.color.selected-color::after{
    content: '';
    position: absolute;
    transform: translate(-50% ,-50%);
    top: 50%;
    left: 50%;
    width: 25px;
    height: 25px;
    border: 1px solid #4b4b4b;
    border-radius: 50%;


}
.add-color{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    color: #000;
    border: 1px solid transparent;
    justify-content: center;
    align-items: center;
    display: flex;
    font-size: 14px;
    cursor: pointer;
    border: 1px solid transparent;
    transition: .2s;

}
.add-color:hover{
    /* scale: .9; */
    border: 1px solid #838383;
}
.colors span:hover{
    /* scale: .9; */
    border: 1px solid #838383;
    opacity: .7;
}

.width-pen{
    display: flex;
}
.width-pen input{
    width: 100%;
    color: #1b1b1b;
}

.width-pen{
    display: flex;
    gap: 10px;
}


.pogop-colors-pen{
    opacity: 0;
    bottom: -50px;
    transition: .2s;
    height: 0;
    overflow: hidden;
    
}

.tool-pen.tool-selected.show-pogop-tool .pogop-colors-pen{
    opacity: 1;
    height: auto;
    bottom: -10px;
}


.menue-other{
    background-color: #fff;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    position: absolute;
    transform: translate(-50%,-50%);
    top:-55px;
    left: 50%;
    border-radius: 5px;
    /* width: 200px; */
    overflow: hidden;
}

.menue-other p{
    padding: 3px 20px;
    font-size: 16px;
    transition: .2s;
    color: #838383;
}
.menue-other p:hover{
    background-color: #2997e0;
    color: #fff;
}

.menue-other{
    height: 0;
    top: 0;
    transition: .2s;
    opacity: 0;
    
}
.tool-more:hover .menue-other{
    opacity: 1;
    top:-55px;
    height: auto;
}




.pogop-emojees{
    width: 280px;
    background-color: #fff;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    position: absolute;
    transform: translate(-50%,-50%);
    top: -80px;
    left: 50%;
    border-radius: 10px;

    z-index: 300;


}

.emojees-list{
    display:flex;
    flex-wrap: wrap;
    gap: 3px;
    width: 100%;
    padding: 3px;
}

.emojees-list span{
    display: flex;
    padding: 5px;
    font-size: 20px;
    border-radius: 50%;
    flex: none;
}

.emojees-list span:hover{
    background-color: #a1a1a127;
}


.pogop-emojees{
    height: 0;
    opacity: 0;
    top: 0;
    transition: .2s;
    overflow: hidden;
}
.tool-emojees.tool-selected.show-pogop-tool .pogop-emojees{
    height: auto;
    opacity: 1;
    top: -85px;

}

.thing-obj:not(.delete-obj){
    position: absolute;
    border: 2px dashed transparent;
    user-select: none;
    top: 100px;
    left: 400px;
}


.thing-obj:not(.delete-obj).selected-obj{
    cursor: move;
    user-select: contain;
    border: 2px dashed #757575cc;
    z-index: 101;
}




.tool-span-color-text{
    padding: 0 !important;
}
.tool-span-color-text label{
    width: 100%;
    height: 100%;
    display: flex;
    padding: 10px 15px;
}



.thing-obj:not(.delete-obj) .span{
    display: flex;
    position: absolute;
    transform: translate(-50%,-50%);
    width: 15px;
    height: 15px;
    border: 1px solid #757575cc;
    background-color: #fff;
    border-radius: 50%;
    cursor: nw-resize;
    transition: .2s;
}

.thing-obj:not(.delete-obj) .span:hover{
    border: 1px solid #69aee7;
}

.thing-obj:not(.delete-obj) textarea{
    border: none;
    outline: none;
    font-size: 23px;
    width: 100%;
    padding-top: 2px;
    height: 100%;
    resize: none;
    background-color: transparent;
    text-align: center;
    overflow: hidden;
}

.thing-obj:not(.delete-obj) .span:nth-child(2){
    left: 100%;
    cursor: ne-resize;

}
.thing-obj:not(.delete-obj) .span:nth-child(3){
    top: 100%;
    cursor: ne-resize;
}
.thing-obj:not(.delete-obj) .span:nth-child(4){
    top: 100%;
    left: 100%;
    cursor: nw-resize;
}


.text-content{
    padding: 10px 20px;
    height: 60px;
    width: 160px;
}

.tools-texts{
    display: flex;
    align-items: center;
    gap: 5px;
    /* overflow:hidden; */
    width: 100%;
    height: 100%;
}
.tools-texts .tool-span{
    padding: 5px 15px;
    cursor: pointer;
    transition: .2s;
    height: 40px;
    display:flex;
    align-items:center;
}

.list-more-style{
    position: relative;
}

.list-more-style:hover .list-style-align{
    height: 81px;
}
.list-style-align{
    height: 0;
    position: absolute ;
    box-shadow: 0px 0px 10px #c0c0c0a9 ;
    background-color: #fff ;
    top: 35px ; 
    left: 0 ;
    border-radius: 5px ;
    z-index: 50 ;
    overflow: hidden;
    transition: .2s;
} 
.list-style-align p{
    padding: 3px 10px;
    transition: .15s;
}
.list-style-align p:hover{
    background-color: #2997e0;
    color: #fff;
}

.tools-texts .tool-span label{
    cursor: pointer;
}


.tools-texts .tool-span:hover{
    background: #eeeeee;
}


/* .tools-texts label{
    display: contents;
} */

.menue-pogop{
    position: absolute ;
    transform: translate(-50%,-50%) ;
    box-shadow: 0px 0px 10px #c0c0c0a9 ;
    background-color: #fff ;
    top: -35px ; 
    left: 50% ;
    border-radius: 10px ;
    /* overflow: hidden ; */
    font-family: sans-serif ;
    /* padding: 5px; */
    z-index: 200 ;
}



.tool-span span{
    display: flex;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: #000;
    
}


.pogop-charcters{
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    width: 300px;
    position: absolute;
    transform: translate(-50%,-50%);
    top: -80px;
    left: 50%;
    border-radius: 10px;
}

.charcters-and-lines-list{
    display:flex;
    align-items: center;
    gap: 5px;
    justify-content: space-around;
    padding: 10px;

}

.charcters-list{
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
    justify-content: center;
}

.charcters-list .chart{
    width: 40px;
    height: 40px;
    padding: 5px;
    transition: .1s;
    
}

.charcters-list .chart:hover{
    transform: scale(1.050);
    opacity: .7;
}

.hr-col{
    border: none;
    height: 80px;
    margin: 0 10px;
    width: 1px;
    background: linear-gradient(to bottom , transparent , #6d6d6d , transparent);
}

.charcters-lines{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.charcters-lines .line_chart{
    width: 30px;
    height: 1px;
    background-color: #8d8d8d;
    margin: 5px;
}

.pogop-charcters{
    height: 0;
    opacity: 0;
    top: 0;
    transition: .2s;
    overflow: hidden;
    z-index: 300;

}

.tool-charcters.tool-selected.show-pogop-tool .pogop-charcters{
    height: auto;
    opacity: 1;
    top: -85px;
}





.context-menue{
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    flex-direction: column;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    width: 170px;
    border-radius: 5px;
    overflow: hidden;
    transition: .13s;
    height: 0;
    z-index: 50;
}
.context-menue.active{
    
    height: 222px;
}
.context-menue .context{
    display: flex;
    gap: 15px;
    cursor: pointer;
    padding: 8px 20px;
    align-items: center;
    transition: .2s;
}

.context-menue .context i{
    color: #4b4b4b;
}
.context-menue .context:not(.context-past):hover{
    background-color: #2997e0;
    color: #fff ;
}
.context-menue .context:not(.context-past):hover i{
    color: #fff ;
}
.context-menue .context:not(.context-past):hover p{
    font-weight: 500;
}


.selector-mouse{
    width: 0;
    height: 0;
    border: 2px dashed #69aee7;
    background-color: #69aee71a;
    position: absolute;
    top:0;
    left:0;
    display: none;
    border-radius: 2px;
    z-index: 200;
}

.selector-mouse.active{
    display: block;
}





.triangle {
    width: 0;
    height: 0;
    border-left: 50px solid transparent;
    border-right: 50px solid transparent;
    border-bottom: 100px solid red;
  }

  

.layers{
    display:flex;
    position: absolute;
    top: -700px;
    right: 0;
    z-index: 220;
    background-color: #fff;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    padding: 10px;
    width: 300px;
    flex-direction: column;
    border-radius: 0 0 0 10px ;
    transition: .4s;
    opacity: 0;
}

.layers.active{
    opacity: 1;
    top: 0px;
}
.btn_open_briges{
    position: absolute;
    top: 5px;
    right: 15px;
    z-index: 100;
    border: none;
    background-color: transparent;
    font-size: 30px;
    padding: 10px;
    cursor: pointer;
}

.top-title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 10px;

}

.name-title{
    display: flex;
    gap: 10px;
    flex-direction: row-reverse;
    align-items: center;
    font-size: 22px;
    color: #1b1b1b;
    
}


.name-title i{
    color: #69aee7;
}

.top-title button{
    border: none;
    background-color: transparent;
    font-size: 20px;
    color: #646464;
    cursor: pointer;
}


.bridges-content{
    padding: 10px 5px;
    display: flex;
    flex-direction: column;
    gap: 6px;
    box-shadow: inset 0 5px 5px #acacac15 ,
                inset 0 -5px 5px #acacac15;

    max-height: 430px;
    overflow: auto;

}

.bridg-1{
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: #1b1b1b; */
    padding: 10px 5px;
    border-radius: 10px;
    cursor: pointer;
}
.bridg-1:hover{
    background-color: #00000009;
}

.lef{
    display: flex;
    gap: 13px;
    display: flex;
    align-items: center;
}

.lef .texts-bridg .title-bridg{
    font-size: 18px;
    color: #2997e0;
    font-weight: 500;
}
.lef .texts-bridg .content-text-bridg{
    font-size: 14px;
    color: #646464;
}

.content-obj{
    position: relative;
}

.img-bridg{
    width: 40px;
    height: 40px;
    border-radius: 10px;
    background-color: #e6e6e68a;
    display: flex;
    justify-content: center;
    align-items: center;
}


.bridg-1 button{
    border: none;
    background-color: transparent;
    font-size: 17px;
    color: #2997e0;
    cursor: move;
}


.img-bridg i{
    color: #1b1b1b;
    font-size: 18px;
}

.board_small_down{
    padding: 10px 5px;
    padding-bottom: 0;
    /* box-shadow: 0 -3px 10px #8a8a8a1a; */
}
.board_small_down .btns{
    display: flex;
    gap: 5px;
}
.board_small_down .btns button{
    border: none;
    background: transparent;
    padding: 5px 7px;
    /* background-color: #06cbe6; */
    color: #424242;
    cursor: pointer;
    transition: .2s;
}

.board_small_down .btns button:hover{
    color: #69aee7;
}






#canvas{
    /* background-color: #06cbe6; */
    outline: 2px solid ;
}

#canvas.paint_mode{
    cursor: url(images/pen2.png), progress !important;
    /* cursor: url(https://www2.0zz0.com/2025/07/09/11/288243806.png), progress !important; */
}

.cursor-color-paint{
    
    border-radius: 50%;
    background-color: red;
    position: absolute;
    z-index: 20;
    top: 0;
    left: 0;
}
.cursor-color-paint.active{
    width: 20px;
    height: 20px;
    pointer-events: none;
}



.pogop-text{
    display: flex;
    flex-direction: column;
    gap: 10px;
    position: absolute;
    transform: translate(-50% ,-50%);
    top:100px;
    left: 50%;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    background-color: #fff;
    padding: 10px;
    width: 250px;
    border-radius: 10px;
    overflow: hidden;
}

.pogop-text{
    height: 0;
    opacity: 0;
    top: 100px;
    transition: .2s;
    overflow: hidden;
    z-index: 300;

}


.tool-text.tool-selected.show-pogop-tool .pogop-text{
    height: fit-content;
    opacity: 1;
    top: -95px;
}



.pogop-text{
    display: flex;
    flex-direction: column;
}


.btn-add-text{
    border: 1px dashed ;
    display:flex;
    justify-content: center;
    align-items: center;
    color: #2997e0;
    padding: 3px 0;
    transition: .2s;
}
.btn-add-text:hover{
    background-color: #2997e0;
    color: #fff;
}

.font-styles{
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 15px;
    color: #919191;
}

.font-styles input,select{
    border: 1px solid #2997e03b;
    outline: none;
    padding: 3px;
    border-radius: 5px;
    text-align: center;
    color: #424242;

}
.font-styles input:focus{
    border-color:transparent ;
    outline: 3px solid #2997e03b;
    color: #2997e0;
}
.font-styles select:focus{
    border-color:transparent ;
    outline: 3px solid #2997e03b;
    color: #2997e0;
}


.font-size{
    display: flex;
    gap: 5px;
    flex-direction: column;
}
.font-family{
    display: flex;
    gap: 5px;
    flex-direction: column;
}

.font-size .inp{
    display: flex;
    gap:5px;
}
.font-size .inp input{
    width: 70px;
}

.line-hr{
    display: flex;
    align-items: center;
}
.line-hr p{
    padding: 0 10px;
    white-space: nowrap;
    font-size: 14px;
}
.line-hr hr{
    border: none;
    height: 1px;
    width: 100px;
    border-radius: 50%;
    background: linear-gradient(to left ,#00000077 , transparent )
}

.line-hr hr:nth-child(1){
    background: linear-gradient(to right ,#00000077 , transparent )
}






.shape-content{
    width: 100px;
    height: 100px;
    margin: 10px;
}
.shape-content svg{
    width: 100%;
    height: 100%;
    
}




.emoje_here{
    width: 100%;
    height: 100%;
    font-size: 2em;
    font-size: fit-content;
    text-align:center;
    
}

.emoje-content{
    height: auto !important;
}

/* .shape-content svg path,g{
    transition: fill .5s;

} */

.bridg-1.selected-layer{
    border: 1px dashed #2997e0;
    border-bottom: 1px solid #2997e0;
}




.context-menue .context.context-past i{
    color: #b4b4b4 ;
}
.context-menue .context.context-past p{
    color: #b4b4b4 ;
}
.context-menue .context-past.active p{
    color: #2997e0 ;
}
.context-menue .context-past.active i{
    color: #2997e0 ;
}

.context-menue .context-past.active:hover {
    background-color: #76c9f0;
    color: #fff;
    font-weight: 500;
}
.context-menue .context-past.active:hover p{

    color: #fff;
}
.context-menue .context-past.active:hover i{
    color: #fff;
    text-decoration: wavy;
}




.windows{
    /* position: relative; */
    /* width: 100%; */
    /* height: 100%; */
    /* position: absolute; */
    top: 0;
    left: 0;
}

.window{
    position: absolute;
    top: 50%;
    left: 50%;
    box-shadow: 0px 0px 10px #c0c0c0a9;
    /* z-index: 210; */
    overflow: hidden;
    background-color: #fff;
    
}

.window-shadow{
    transform: scale(0) translate(-50%,-50%);
    opacity: 0;
    transition: transform .15s ;
    width: 512px;
}
.window-shadow.active{
    transform: scale(1) translate(-50%,-50%);
    opacity: 1;
}


.info-window-and-close{
    /* padding: 0px 0px; */
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: move;
}

.info-window{
    color: #1b1b1b;
    padding: 7px 15px;
}

.close-window{
    padding: 10px 15px;
    /* margin-top: -4px; */
    border: none;
    cursor: pointer; 
    font-size: 16px;
    border-radius: 0 0 0 5px;
    transition: .2s;
}

.close-window:hover{
    background-color: #db3434;
    color: #fff;
}



.content-window{
    padding: 30px;
    display: flex;
    gap: 30px;
}

.btns-shadow{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.btn-shadow-1{
    display: flex;
    gap: 7px;
}

.btn-shadow-1 .gr{
    display: flex;
    align-items: center;
    gap: 5px;
}

.btn-shadow-1 .gr p{
    width: 50px;
    color: #808080;
    font-size: 14px;
}

.btn-shadow-1 input[type="number"]{
    width: 50px;
    outline: none;
    border: 1px solid #69aee7;
    border-color:transparent;
    border-radius: 5px;
    text-align: center;
}
.btn-shadow-1 input[type="number"]:focus{
    outline: 3px solid #69aee76e;
    border-color:transparent ;
}
.btn-shadow-1 input[type="text"]{
    width: 70px;
    outline: none;
    border: 1px solid #69aee7;
    border-radius: 5px;
    text-align: center;
}
/* 
.btn-shadow-1 input[type="range"]::-webkit-slider-runnable-track{
    background-color: #000 !important;
} */
/* .btn-shadow-1 input[type="range"]::-webkit-progress-value{
    background-color: #ff1111 !important;
} */

.btn-shadow-1 .gr input[type="range"]::-webkit-slider-runnable-track {
    background: #ccc;
    height: 0.3rem;
    border-radius: 0.5rem;
  }


  .btn-shadow-1 .gr input[type="range"]::-webkit-range-thumb{
    background-color: #007bff; 
  }

  


.btn-shadow-1 .gr input[type="range"]::-webkit-slider-thumb{
-webkit-appearance: none; /* Override default look */
  appearance: none;
  margin-top: -4px; /* Centers thumb on the track */
  background-color: #808080;
  border-radius: 0.5rem;
  height: 1rem;
  width: 1rem;
}

.btn-shadow-1 .gr input[type="range"] {
    -webkit-appearance: none; /* مهم جداً لإزالة الشكل الافتراضي */
    width: 200px;
    height: 6px;
    background: #ccc;
    border-radius: 3px;
    outline: none;
  }
  
  /* WebKit Browsers (Chrome, Safari) */
  .btn-shadow-1 .gr input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    background-color: #007bff;  /* لون المؤشر */
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    margin-top: -5px;           /* لتوسيطها على الشريط */
  }
  .btn-shadow-1 .gr input[type="range"]:disabled::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    background-color: #ccc;  /* لون المؤشر */
         /* لتوسيطها على الشريط */
  }
  
  /* Firefox */
  .btn-shadow-1 .gr input[type="range"]::-moz-range-thumb {
    background-color: #007bff;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
  }
  
  /* Track (اختياري للتجميل) */
  .btn-shadow-1 .gr input[type="range"]::-webkit-slider-runnable-track {
    background: #ccc;
    height: 6px;
    border-radius: 3px;
  }
  
  /* .btn-shadow-1 .gr input[type="range"]::-webkit-progress-value {
    background: #1397f0;
  }
  
  .btn-shadow-1 .gr input[type="range"]::-webkit-progress-bar {
    background: #1397f0;
  }
  
  .btn-shadow-1 .gr input[type="range"]::-webkit-progress-inner-element {
    background: #1397f0;
  }
  
 */





.test-shadows{
    display: flex;
    padding: 30px;
    background-color: #dfdfdf;
    height: min-content;
}

.test-shadow-1{
    width: 50px;
    height: 50px;
    background-color: #919191;
    box-shadow: 10px 10px 5px #7e7e7e;
}


.errors-shadow{
    text-align: center;
    padding: 4px;
    padding-top: 0;
    color: rgba(255, 79, 79, 0.705);
    font-size: 12px;
    font-weight: 500;
}























@media(max-width:500px){
    .over{
        transform: scale(.6) translate(-50%,0);
        left: 25%;
    }
}

@media(max-width:400px){
    .over{
        transform: scale(.6) translate(-50%,0);
        left: 17%;
    }
}






































.none{
    display:none;
}
